Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.ChunkTable

    java.lang.Object
      igeo.io.IRhino3dm.Chunk
          igeo.io.IRhino3dm.ChunkTable

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.ChunkTable

extends IRhino3dm.Chunk

Field Summary
`long` | `bodyPointer`
`java.util.ArrayList<IRhino3dm.Chunk>` | `chunks`
`int` | `endTCode`
`boolean` | `serialized`

Fields inherited from class igeo.io.IRhino3dm.Chunk
`body, content, contents, crc, header`

Constructor Summary
`IRhino3dm.ChunkTable(int tcode)`
`IRhino3dm.ChunkTable(int tcode, int endTCode)`

Method Summary
`void` | `add(IRhino3dm.Chunk c)`
`boolean` | `doCRC()`
`void` | `serialize()`
`void` | `writeTableEnd(IRandomAccessOutputStream ros)`
`void` | `writeTableEntry(IRandomAccessOutputStream ros, IRhino3dm.Chunk c)`
`void` | `writeTableHeader(IRandomAccessOutputStream ros)`

Methods inherited from class igeo.io.IRhino3dm.Chunk
`chunkLength, clear, contentLength, getBody, getBytes, getContent, getContents, getCRC, getHeader, isEndOfTable, isShort, setContentLength, setCRC, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### chunks

    public java.util.ArrayList<IRhino3dm.Chunk> chunks

### endTCode

    public int endTCode

### serialized

    public boolean serialized

### bodyPointer

    public long bodyPointer

Constructor Detail

### IRhino3dm.ChunkTable

    public IRhino3dm.ChunkTable(int tcode,
                                int endTCode)

### IRhino3dm.ChunkTable

    public IRhino3dm.ChunkTable(int tcode)

Method Detail

### add

    public void add(IRhino3dm.Chunk c)

### serialize

    public void serialize()
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### doCRC

    public boolean doCRC()

  Overrides:
    `doCRC` in class `IRhino3dm.Chunk`

### writeTableHeader

    public void writeTableHeader(IRandomAccessOutputStream ros)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTableEntry

    public void writeTableEntry(IRandomAccessOutputStream ros,
                                IRhino3dm.Chunk c)
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeTableEnd

    public void writeTableEnd(IRandomAccessOutputStream ros)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD